print.h File Reference
`#include <stddef.h>`
`#include <stdio.h>`
`#include "hwy/base.h"`
`#include "hwy/highway_export.h"`

Go to the source code of this file.

## Classes

struct | hwy::detail::TypeInfo

## Namespaces

namespace | hwy
namespace | hwy::detail

## Functions

template<typename T >
HWY_INLINE TypeInfo | hwy::detail::MakeTypeInfo ()
HWY_DLLEXPORT void | hwy::detail::TypeName (const TypeInfo &info, size_t N, char *string100)
HWY_DLLEXPORT void | hwy::detail::ToString (const TypeInfo &info, const void *ptr, char *string100)
HWY_DLLEXPORT void | hwy::detail::PrintArray (const TypeInfo &info, const char *caption, const void *array_void, size_t N, size_t lane_u=0, size_t max_lanes=7)
template<typename T >
HWY_NOINLINE void | hwy::PrintValue (T value)
template<typename T >
HWY_NOINLINE void | hwy::PrintArray (const T *value, size_t count)